<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Nft Detail</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link href="//cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet" />
    <link href="//cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet" />
    <link href="./css/style.css" rel="stylesheet" />
</head>
    
    <body>
        <h1>Nft detail page</h1>
        <div id="ring">Loading<span></span></div>

        <div style="display: flex;">
            <div style="margin-top: 80px;margin-left:150px;">
                <img style="width: 300px; height:300px;" id="nftUrl" src=""/>
            </div>

            <div style="margin-top: 80px;margin-left:150px;">
                <button id="listNftBtn" type="button" class="btn btn-primary" onClick="ListNFtForAuction()">List Nft for Auction</button>

                <div id="bidDetailDiv" style="margin-top: 20px;display: none;">
                    <p><b>Listed NFT details</b></p>
                    <div style="display: flex;">
                        <p>Seller: &nbsp; <p id="seller"></p></p>
                    </div>
                    <div style="display: flex;">
                        <p>highestBidder: &nbsp; <p id="highestBidder"></p></p>
                    </div>
                    <div style="display: flex;">
                        <p>Start Price: &nbsp; <p id="startPrice"></p></p>
                    </div>
                    <div style="display: flex;">
                        <p>End Price: &nbsp; <p id="endPrice"></p></p>
                    </div>
                    <div style="display: flex;">
                        <p>Start Time: &nbsp; <p id="startTime"></p></p>
                    </div>
                    <div style="display: flex;">
                        <p>End Time: &nbsp; <p id="endTime"></p></p>
                    </div>
                    <div style="display: flex;">
                        <p>Auction Ended: &nbsp; <p id="auctionEnded"></p></p>
                    </div>
                    <div style="display: flex;">
                        <p>Real Estate Nft ContractAddress: &nbsp; <p id="realEstateNftContractAddress"></p></p>
                    </div>
                    <div style="display: flex;">
                        <p>Token Id: &nbsp; <p id="tokenId"></p></p>
                    </div>
                    
                </div>
            </div>
            <div style="margin-top: 80px;margin-left:150px;">
                <button id="listNftBtn" type="button" class="btn btn-primary" onClick="placeBid()">Place Bid</button>
            </div>
        </div>  

    </body>
    <script type="text/javascript" src="https://unpkg.com/web3@1.2.11/dist/web3.min.js"></script>
    <script type="text/javascript" src="https://unpkg.com/web3modal@1.9.0/dist/index.js"></script>
    <script type="text/javascript" src="https://unpkg.com/evm-chains@0.2.0/dist/umd/index.min.js"></script>
    <script type="text/javascript" src="https://unpkg.com/@walletconnect/web3-provider@1.2.1/dist/umd/index.min.js"></script>
    <script type="text/javascript" src="https://unpkg.com/fortmatic@2.0.6/dist/fortmatic.js"></script>
    <script src="http://code.jquery.com/jquery-1.11.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
    <script type="text/javascript" src="./js/nftDetail.js"></script>
</html>